=============================================================================
    Intel(R) Server Platform S2400BB  FRU/SDR Update Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================

DATE:       Feb 21, 2014

TO:         Intel(R) Server Platform S2400BB customers

SUBJECT:    IBMC(R) FRU/SDR update package S2400BB_FRUSDR_105 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation may
have patents or pending patent applications, trademarks, copyrights, or other
intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any
such patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation.

*Other names and brands are the property of their respective owners.

Copyright (c) 2010 - 2014 Intel Corporation.


=============================================================================
                        ABOUT THIS RELEASE PACKAGE
=============================================================================

SDR file version:                   1.06
Baseboard FRU file version:         0.01
Master configuration file version:  05
FRUSDR loader version:			    11.0 Build 20
FRU/SDR release notes:			    0.07 rev 1.0

SDR data based on system/thermal team SDR spreadsheet rev 2.0


=============================================================================
	     SYSTEM HARDWARE & SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================


- BIOS x023 or higher installed with flash programmer. This is required to
  get latest ME firmware revision into the BIOS flash device.

- BMC FW 00.14.1421 or later

- Front Panel and Hot-swap backplane FRU data must be available for chassis
  auto-detection to succeed.

=============================================================================
                      IMPORTANT INSTALLATION NOTES
=============================================================================

- Package and file names have changed for this version of the package. The FRU
  and SDR files are now named S2400BB.fru and S2400BB.sdr respectively.
  Also, the EFI script file name has changed to updS2400BB.nsh.

- The HSBP FRU directory and files have been removed from theis release.
  When applying this update, it is assumed that the HSBP, if any, has a
  correctly programmed FRU.

=============================================================================
			INSTALLATION PROCEDURE
=============================================================================

1. Ensure BMC FW release 00.14.1421 or later and BIOS x029 or later are
   pre-installed before attempting this FRU/SDR update.

2. Copy all of the files and directories in the S2400BB_FRUSDR_105.zip archive
   to a USB key, hard disk drive or floppy drive.

3. Before individual fields of the baseboard FRU device can be programmed the
   BMC FRU data area must have the entire FRU file written to it first.
   Boot to EFI and then execute the following to install the FRU file:

     FRUSDR /fru S2400BB.fru

   This needs to be done only one time and then this step can be skipped
   for all future FRU/SDR package releases.


4. Then execute the following script to bring up the main FRU/SDR load menu:

     updS2400BB.nsh

5. The package should auto-detect the chassis. If it does not, it will print
   an error message indicating why auto-detection failed and then present
   the standard chassis selection menu.


=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================
- If this FRU/SDR package is installed on a Fab -101 baseboard, it will cause
  sensor issues and fan speed control will be non-functional due to known
  issues in this revision of hardware.

=============================================================================
                           ISSUES FIXED
=============================================================================
S2400BB_106:
	none
S2400BB_105:
- New version of FRUSDR utility (11.0 Build 20)

S2400BB_104:
modify PV_VCCP_CPU0_MONITOR	,PV_VCCP_CPU1_MONITOR	 sensor LC ,and LNC to 5C , 5F 
modify VBAT sensor LC and LNC  to A9,C3

S2400BB_103:

S2400BB_102:
	modify MTT sdr , modify M/B value .
	remove 'BB +3.3V Vbat' sensor upper threshold value .
S2400BB_101:
	none
S2400BB_100:
	remove FCT and shipping mode version record .
	fix EPSD100022101, root cause : modify the sensor type from '16' to 'DC', Event/Reading Type Code from '0A' to '75' of the 'SPS FW Health' record 
	modify Chassis ID and FAN FRU LED Mapping entry , add sneosr #38,#39,#3A,#3B mapping entry 
	change 2U #3A sensor name to 'System Fan 5' instead of 'System Fan 6'
S2400BB_11:
	modify stroage front pannel tmperature sensor (#21) B value from FF to F8
S2400BB_10:
	fix EPSD100021621, root cause :Entity Instance filed is wrong ,ex:sensors belong to mother board ,entity Instance should be to the same value .  
				       modify the cpu and system relate SDR's Entity instance filed . 
S2400BB_09:
	fix 2U System airflow formula record 's  domain mask 
	fix EPSD100228670 , root cause :ack an BIOS Evt Sensor SDR record which owner id is 01 
	fix EPSD100228779 , root cause :Redundancy Sensor Number is mapping to wrong number . So, the redundant fan function is not work . 
	fix EPSD100021753 , root cause :Same with EPSD100228779


S2400BB_08:
	fix EPSD100228342 , root cause : copy MASTER.cfg from Grizzly , so it will show E5-2600 when detect a processor. 
        solution :modify the String from E5-2600 to E5-2400 . 
	change HDD status naming rule , index start from 0 
	while detect 2U system , add REDUNDANT_FAN tag in master.cfg
S2400BB_07:
	fix EPSD100227545 , doman 5 FSC did not work 
S2400BB_06:
	none
S2400BB_05:
	add 2 temperature type SDR , sensor number 1c and 1d . 
	add PS domain Stepwise sub-record
	remove DST paramater and DTS lookup table fsc record
S2400BB_04:
	change 'BIOS Evt Sensor' sensor owner id to 33 for fix none necessary eventlog .	
	modify SDR Type C0/09 Records voltage sensor scaling entry , remove sensor D9,D8,E5,EA
	modify SDR Type C0/0A Records fan sensor scaling entry for R1000,FOQM,FCT, , remove SysFan6A , SysFan6B
	modify SDR Type C0/0A Records fan sensor scaling entry for R2000 , modify M value to D431
S2400BB_03:
	EPSD100018388: configure sheet 0.7 did not support system fan 6 , refer to configure sheet 0.8 ,
	and support system fan6
S2400BB_02:
-modify Fan Sensor Domain Map Record , remove 1 domain , need to modify domain index 
remove System Fan 6A and System Fan 6B while loading R1000
- remove "P1 Mem23 VRD Hot" and "P2Mem23 VRD Hot" sensor 

S2400BB_01:
- none



=============================================================================
                           FEATURES ADDED
=============================================================================
S2400BB_106:
	support CCB229-Romley Decode of SmaRT events in the SEL.
S2400BB_105:
- none

S2400BB_104:
modify fsc as configure sheet 2.3
S2400BB_103:
modify fsc as configure sheet 2.0
S2400BB_102:
upgrade FRUSDR loader version to 11.0 Build 14
modify fsc as configure sheet 1.9
S2400BB_101:
	Update Global Stepwise Records in red
S2400BB_100:
	Update Global Stepwise Records in red
	Update R2000 
	  - update Aggregate Sensor CD
	  - update Fan-off setting
	Update R2GPU tab in red
	  - update System airflow formula Record Format
	Update R2224 tab in red
	  - update System airflow formula Record Format
	Update R2312 tab in red
	  - update System airflow formula Record Format
	Update R2xxx tab in red
	  - update Aggregate Sensor CD
	  - update Fan-off setting
	  - update System airflow formula Record Format
	Update Other Master tab
	  - change 83/84 to 74/75

S2400BB_11:
-none
S2400BB_10:
	update frusdr.efi, ipmi.efi
	only probe for a IOM FRU device, not a IOM temperature device.
	Change Power unit redundancy sensor  from auto-rearm to manual rearm.


S2400BB_09:
	remove  the chassis intrusion on the FCT mode , because BBP not support chassis intrusion 
	refer Black Bear Pass Autodetect Diagram v04.vsd to modify the decttion metohd on MASTER.cft 
	add clamp id 94,95,1C,1D
	add R2XXX FSC record
	add R2GPU FSC record 
	add storage front pannel support 
	remove SAS module temperature sensor
S2400BB_08:
	none
S2400BB_07:
	none
S2400BB_06:
	use this version  to make combo fw
	Update Global Clamp Records
  	update SAS temperature from 60 to 80
	Update Global Stepwise Records
   	Add PS in header record
   	add system fan 6A and system fan 6B for FCT and FOQM mode   	   	
S2400BB_05:
	none
S2400BB_04:
	remove 'BB +3.3 RSR1 PGD' sensosr (sensor number EA).
	modify 'HSBP 2 Temp' sensor with TAG from 'HSPB2_2U8X25' to'HSBP2_2U8X25' for the wrong tag
	refer configure sheet0.8 to make the FCT and Shipping mode SDR equal with combo firmware . 
		--modify 'IO Mod Presence' sensor with TAG 'IO_MODULE' and TAG 'FCT' for detection and FCT mode use
		--modify 'SAS Mod Presence' sensor with TAG 'SAS_MODULE' and TAG 'FCT' for detection and FCT mode use
		--modify 'System Airflow' sensor with TAG 'R1000' and TAG 'R2000' for R1000 and R2000 SKU use
		--modify 'BB P2 VR Temp' sensor without TAG 'PROCESSOR_2' and TAG 'FCT' for all SKU use
		--modify 'BB BMC Temp' sensor without TAG 'PROCESSOR_2' and TAG 'FCT' for all SKU use
		--modify 'HSBP 1 Temp' sensor with  TAG 'R1000','R2000','FCT'and 'FOQM' for R1000 , R2000 ,FCT and FOQM SKU use
		--modify 'Exit Air Temp' sensor with TAG 'R1000' and TAG 'R2000' for R1000 and R2000 SKU use
		--modify 'P1 Status' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'P1 Therm Margin' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'P1 Therm Ctrl %' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'P1 ERR2' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'P1 DTS Therm Mgn' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'P2 MSID Mismatch' sensor with TAG 'FCT' for FCT mode use
		--modify 'P1 VRD Hot' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'P1MemABC VRD Hot' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'DIMM Thrm Mrgn 1' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'DIMM Thrm Mrgn 2' sensor with TAG 'FCT' for FCT mode use
		--modify 'Mem P1 Thrm Trip' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING .
		--modify 'Mem P2 Thrm Trip' sensor with TAG 'FCT' for FCT mode use
		--modify 'BB +1.05Vccp P1' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING.
		--modify 'BB +1.5 P1MEMABC' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING.
		--modify 'BB +1.35 P1LVABC' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING.
		--modify 'MTT CPU0' sensor TAG 'R1000','R2000','FCT'and 'FOQM'and 'OTHER' for all SKU use , except SHPPING.
		--modify 'MTT CPU1' sensor with TAG 'PROCESSOR_2' and TAG 'FCT' for detection and FCT mode use
		--modify 'Pwr Supply 1 FRU' sensor with TAG 'FCT' for FCT mode use
		--modify 'Pwr Supply 2 FRU' sensor with TAG 'FCT' for FCT mode use
		--modify 'HS Backplane 1' sensor with TAG 'FCT' for FCT mode use
		--modify SDR Type C0/02 Record with TAG 'FCT' for FCT mode use
		--modify SDR Type C0/0A Record with TAG 'SHIPPING' for SHIPPING mode use
		--modify Fan Sensor Domain Map Record without TAG 'FCT', 'FOQM' 
		--modify SDR Type C0/0E Chassis ID and FAN FRU LED Mapping with TAG 'R1000','R2000'and 'OTHER' for R1000, R2000 , OTHER SKU use. 		
		--modify SDR Type C0/0E Chassis ID and FAN FRU LED Mapping without TAG 'FCT', 'FOQM' 
		--modify FSC Record Type = 12h (Aggregate Sensor Configuration Record) without TAG 'FCT', 'FOQM' 
		--modify FSC Record Type = 13h (DIMM Air Velocity Record) without TAG 'FCT', 'FOQM' 
		--modify SDR Type C0 Records For File & Package Revisions , set the Revision info equl to the combo firwmare .
		
S2400BB_03:
	Update SDR as per Black Bear Pass FSC Config Sheet Rev 0 8
	Updated LSB and MSB Clamp Control Coefficient for all sensors in Global Clamp Records
	Updated fan mapping for Domain 4 for the 2U (R2000)
	Updated several aggregate sensor reference values for 1U (R1000) and 2U (R2000) and changed fan domains
	Sys Config - Changes last fan from SysFan5 to SysFan6
S2400BB_02:
- add  SDR Type C0/0E Chassis ID and FAN FRU LED Mapping
-Modify FRU ver from 0.01 to  0.02.
- Update SDR as per Black Bear Pass FSC Config Sheet Rev 0 7

S2400BB_01:
- This package is only for PO builds.
- Update SDR as per Black Bear Pass FSC Config Sheet Rev 0 6



=============================================================================
                             REFERENCE MATERIAL
=============================================================================
Common IBMC Firmware EAS
Common Platform IBMC FW EPS

[END OF RELEASE NOTES]
